@typeparam TField
@inherits Jones.AspNetCore.Components.Table.TableColumn<TField>

@if (IsInitialize)
{
    return;
}
@if (IsHeader)
{
    <th scope="col">
        @if (TitleTemplate != null)
        {
            @TitleTemplate
        }
        else
        {
            @GetTitle()
        }
    </th>
}
else if (IsFooter)
{
    <td>
        @if (FooterTemplate != null)
        {
            @FooterTemplate
        } 
        else
        {
            @(Footer?.Invoke())
        }
    </td>
}
else
{
    <td style="@Style" @attributes="@AdditionalAttributes">
        @if (ChildContent != null)
        {
            @ChildContent
        }
        else
        {
            @GetText()
        }
    </td>
}